[BUG]: “export ‘ɵɵstaticViewQuery’ was not found in ‘@angular/core’ and ASSERTION ERROR: Expecting flags [Expected=> number === boolean <=Actual]

🐞 bug report

Affected Package

The issue is caused by package @angular/core

Is this a regression?

Yes

Description

After upgrade to Angular 11.1.0 I have problem with build in my local PC

Error: ./node_modules/@angular-ru/ng-table-builder/fesm2015/angular-ru-ng-table-builder.js 2392:8-25
"export 'ɵɵstaticViewQuery' was not found in '@angular/core'

But if I have stackblitz example:
https://stackblitz.com/edit/ng-table-builder-failed?file=src/app/app.component.html

image

🔬 Minimal Reproduction

https://stackblitz.com/edit/ng-table-builder-failed

🔥 Exception or Error


preview-fef3604083950c709c52b.js:1 Error: ASSERTION ERROR: Expecting flags [Expected=> number === boolean <=Actual]
    at throwError (core.umd.js? [sm]:213)
    at assertNumber (core.umd.js? [sm]:144)
    at Object.ɵɵcontentQuery (core.umd.js? [sm]:27212)
    at Object.AbstractTableBuilderApiImpl_ContentQueries [as contentQueries] (table-builder.api.ts:59)
    at executeContentQueries (core.umd.js? [sm]:10001)
    at ɵɵelementStart (core.umd.js? [sm]:15281)
    at Object.ɵɵelement (core.umd.js? [sm]:15331)
    at AppComponent_Template (app.component.html:1)
    at executeTemplate (core.umd.js? [sm]:9985)
    at renderView (core.umd.js? [sm]:9792)

🌍 Your Environment

Angular Version:


Angular: latest
@angular-ru/ng-table-builder: 15.78.1

2 thoughts on “[BUG]: “export ‘ɵɵstaticViewQuery’ was not found in ‘@angular/core’ and ASSERTION ERROR: Expecting flags [Expected=> number === boolean <=Actual]

  1. Regarding internal libraries, it is fine to use Ivy internally, as long as you re-compile and re-publish your libraries to have the same Angular version as the consuming application projects.

    The point is that we do not guarantee that the ivy compiled code will not change between versions.